/* File Station.h  definition of ....*/
#ifndef STATION_H
#define STATION_H


#include "RailPerifery.h"


class CompositeIcon;
class Rail;


extern Symbol StationFree;
extern Symbol StationBusy;

extern Class class_Station;

class Station : public RailPerifery
{
	DEFINE_CLASS_METHOD(Station);

  protected:
	CompositeIcon* draw_name;


  protected:
	void storer(fileDescTy& fd) const;
	void storer(ostream& strm) const;
	Station(fileDescTy& fd, Station& where);
	Station(istream& strm, Station& where);

	CompositeIcon& createIcon();

  public:
	Station(const String& name);
	Station();
	~Station();


	CompositeIcon* setIcon(Rail* rail);
	void setDrawName(CompositeIcon* drawStr);
	void resetDrawName();

	Object* editorTrace(String& member);

};

#endif /* STATION_H */

