/* File Tcpip.h  definition of class Tcpip */

/*		Copyright (c) 1990 SYCO			  */
/*		  All Rights Reserved			  */
/*							  */
/*  THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF SYCO   */
/*  The copyright notice above does not evidence any      */
/*  actual or intended publication of such source code.   */


#ifndef TCPIP_H
#define TCPIP_H

#include <oak/object.h>






struct Pier
{
  int out,in;
};



extern Class class_Tcpip;

class Tcpip : public Object
{
	DEFINE_CLASS_METHOD(Tcpip);
	DEFINE_IDLE_STORE_METHOD(Tcpip,Object);

  protected:
	void printError(const char* str);
	int doConnect(const String& host, int portId);
	int doListen(int portId);
	int doAccept(int listen_s, String& host);

  public:
	Tcpip();


	void doIt();
	Pier connect(const String& node, int port);
	Pier accept(int port, String& host);

	Object* editorTrace(String& member);

};

#endif /* TCPIP */

