/* File AgvTitle.C  implementation of class AgvTitle */

/*		Copyright (c) 1990 SYCO			  */
/*		  All Rights Reserved			  */
/*							  */
/*  THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF SYCO   */
/*  The copyright notice above does not evidence any      */
/*  actual or intended publication of such source code.   */


#define AGVTITLE_C

#include <oak/oakstrn.h>
#include <oak/symbol.h>
#include <oak/cbacks.h>

#include "AgvTitle.h"



#define THIS AgvTitle
#define BASE AnalysisTitle






DEFINE_SIMPLE_CLASS(AgvTitle,AnalysisTitle,1,NULL);

void AgvTitle::storer(fileDescTy& fd) const
  { BASE::storer(fd); }

void AgvTitle::storer(ostream& strm) const
{
  TRACE_FUNC("AgvTitle::storer");
  BASE::storer(strm);
}

AgvTitle::AgvTitle(fileDescTy& fd, AgvTitle& where)
  :BASE(fd,where)  { THIS_EQUAL_WHERE(where); } 

AgvTitle::AgvTitle(istream& strm, AgvTitle& where)
  :BASE(strm,where)
{
  THIS_EQUAL_WHERE(where);
}


AgvTitle::AgvTitle()
{
  TRACE_FUNC("AgvTitle::AgvTitle");
}




AgvTitle::~AgvTitle()
{
  TRACE_FUNC("AgvTitle::~AgvTitle");
}








Object* AgvTitle::editorTrace(String& )
{
  return nil;
}

/* End of File AGVTITLE */
