/* File CartIcon.h  definition of ....*/
#ifndef CARTICON_H
#define CARTICON_H


#include "PeriferyIcon.h"


class RailIcon;
class Rail;
class Cart;




#define CARTI_W 1
#define CARTI_H 1

#include <oak/orderedc.h>


extern Class class_CartIcon;

class CartIcon : public PeriferyIcon
{
	DEFINE_CLASS_METHOD(CartIcon);

  protected:
	void storer(fileDescTy& fd) const;
	void storer(ostream& strm) const;
	CartIcon(fileDescTy& fd, CartIcon& where);
	CartIcon(istream& strm, CartIcon& where);

	virtual void createGeoIcon();
	virtual void createSemanticIcon();
	virtual void destroySemanticIcon();
	virtual void buildParam(OrderedCltn& labels, OrderedCltn& values);
	virtual void consumeParam(OrderedCltn& labels, OrderedCltn& values);
	virtual void printOn(ostream& strm) const;

  public:
	CartIcon();
	~CartIcon();


	Cart* cart();

	Object* editorTrace(String& member);

};

#endif /* CARTICON */

