/* File ChangeRail.h  definition of ....*/
#ifndef CHANGERAIL_H
#define CHANGERAIL_H


#include "TurnRail.h"


class RailSemaph;
class FillArc;



extern Class class_ChangeRail;

class ChangeRail : public TurnRail
{
	DEFINE_CLASS_METHOD(ChangeRail);

  protected:
	RailSemaph* sem1;
	float rail_len1;
	bool turn_change;
	RailSemaph* sem3;
	RailSemaph* sem2;
	int from_rail;


  protected:
	void storer(fileDescTy& fd) const;
	void storer(ostream& strm) const;
	ChangeRail(fileDescTy& fd, ChangeRail& where);
	ChangeRail(istream& strm, ChangeRail& where);

	virtual void setGeometry(const RailPos& pos, int orient);
	virtual void createIcon();
	virtual RailPos getConveyPos();

  public:
	ChangeRail(double ang =30, double ray =2, double len =1);
	~ChangeRail();


	bool change();
	void setChange(bool change =YES);
	bool toggleChange();
	virtual int setFrom(Rail* rail);
	FillArc* addSemaph(RailSemaph* semaph, int where);
	RailSemaph* fromSemaph();
	RailSemaph* toSemaph();
	void removeSemaph(RailSemaph* semaph, FillArc* light);
	RailSemaph* toSemaph(Rail* from);
	virtual size_t railCapacity() const;

	Object* editorTrace(String& member);

};

#endif /* CHANGERAIL_H */

