/* File Lot.h  definition of ....*/
#ifndef LOT_H
#define LOT_H


#include <oak/object.h>

#include <oak/integer.h>
#include <oak/symbol.h>




extern Class class_Lot;

class Lot : public Object
{
	DEFINE_CLASS_METHOD(Lot);

  protected:
	Symbol lot_name;
	Symbol piece_type;
	Integer piece_count;


  protected:
	void storer(fileDescTy& fd) const;
	void storer(ostream& strm) const;
	Lot(fileDescTy& fd, Lot& where);
	Lot(istream& strm, Lot& where);


  public:
	Lot(const Symbol& name, const Symbol& type, int number);
	Lot();
	~Lot();


	Symbol name();
	Symbol pieceType();
	int pieceNumber();

	Object* editorTrace(String& member);

};

#endif /* LOT_H */

