/* File RailSemaph.h  definition of ....*/
#ifndef RAILSEMAPH_H
#define RAILSEMAPH_H


#include <oak/object.h>

#include <rodin/semaphor.h>

class ChangeRail;
class FillArc;



extern Class class_RailSemaph;

class RailSemaph : public Object
{
	DEFINE_CLASS_METHOD(RailSemaph);

  protected:
	ChangeRail* change2;
	ChangeRail* change1;
	bool busy;
	FillArc* light1;
	FillArc* light2;
	Semaphore sem;


  protected:
	void storer(fileDescTy& fd) const;
	void storer(ostream& strm) const;
	RailSemaph(fileDescTy& fd, RailSemaph& where);
	RailSemaph(istream& strm, RailSemaph& where);


  public:
	RailSemaph();
	~RailSemaph();


	void setBusy(bool value =YES);
	bool isBusy();
	void addChange(ChangeRail* rail, int where);
	ChangeRail* otherChange(ChangeRail* rail);
	void removeChange(ChangeRail* rail);
	void wait();
	void signal();

	Object* editorTrace(String& member);

};

#endif /* RAILSEMAPH_H */

