/* File StationIcon.h  definition of ....*/
#ifndef STATIONICON_H
#define STATIONICON_H


#include "PeriferyIcon.h"


class RailIcon;
class Rail;
class Station;


#define CARTI_W 1
#define CARTI_H 1

#include <oak/orderedc.h>

extern Class class_StationIcon;

class StationIcon : public PeriferyIcon
{
	DEFINE_CLASS_METHOD(StationIcon);

  protected:
	void storer(fileDescTy& fd) const;
	void storer(ostream& strm) const;
	StationIcon(fileDescTy& fd, StationIcon& where);
	StationIcon(istream& strm, StationIcon& where);

	virtual void createGeoIcon();
	virtual void createSemanticIcon();
	virtual void destroySemanticIcon();
	virtual void buildParam(OrderedCltn& labels, OrderedCltn& values);
	virtual void consumeParam(OrderedCltn& labels, OrderedCltn& values);
	virtual void printOn(ostream& strm) const;

  public:
	StationIcon();
	~StationIcon();


	Station* station();

	Object* editorTrace(String& member);

};

#endif /* STATIONICON_H */

