/* File client-GUI1.h  definition of ....*/
#ifndef CLIENT_GUI1_H
#define CLIENT_GUI1_H


#include <rodin/server.h>


class ATM;
class CashCard;
class Integer;
class CommandIcon;
class CppGraphic;
class StringIcon;
class EventHandler;
class String;




extern Symbol WAIT_ACK_CC;
extern Symbol TRANSF_PASS;
extern Symbol TRANSF_AMNT;
extern Symbol REQ_PASS;
extern Symbol REQ_AMOUNT;
extern Symbol REQ_AMNT;
extern Symbol TRANS_MONEY;
extern Symbol WRONG_AMNT;
extern Symbol WRONG_PASS;
extern Symbol WRONG_CARD;
extern Symbol CommandPress;
extern long mLoopRet;


extern Class class_Client;

class Client : public Server
{
	DEFINE_CLASS_METHOD(Client);
	DEFINE_IDLE_STORE_METHOD(Client,Server);
friend bool answerAction(const Cback_struct& cb);

  private:
	CppGraphic* box;
	StringIcon* label1;
	CommandIcon* okButton;
	CommandIcon* notokButton;
	int choiceStatus;
	ATM* myATM;
	Integer* amount;
	CashCard* card;
	StringIcon* label2;

  protected:
	String *cardStatus, *passwordStatus, *amountStatus;


  private:
	virtual Object* doService(Service* service);

  protected:
	void doChoice(CommandIcon* choiceButton);
	void waitEventFrom(const Symbol&, int choiceKind);

  public:
	Client(const char* name ="TheClient");
	~Client();


	void assign(ATM* atm);

	Object* editorTrace(String& member);

};

#endif /* CLIENT_GUI1 */

