/* File client-GUI2.h  definition of ....*/
#ifndef CLIENT_GUI2_H
#define CLIENT_GUI2_H


#include <rodin/server.h>

#include <oak/integer.h>
#include "cashCard.h"
#include <oak/arrayob.h>
#include <gui/CommandIcon.h>
#include <oak/oakstrn.h>

class StringIcon;
class ATM;
class CommandIcon;
class GraphicKernel;




extern Symbol WAIT_ACK_CC;
extern Symbol TRANSF_PASS;
extern Symbol TRANSF_AMNT;
extern Symbol REQ_PASS;
extern Symbol REQ_AMOUNT;
extern Symbol REQ_AMNT;
extern Symbol TRANS_MONEY;
extern Symbol WRONG_AMNT;
extern Symbol WRONG_PASS;
extern Symbol WRONG_CARD;
extern Symbol CommandPress;
extern long mLoopRet;


extern Class class_Client;

class Client : public Server
{
	DEFINE_CLASS_METHOD(Client);
	DEFINE_IDLE_STORE_METHOD(Client,Server);
friend bool getPasswdDigit(const Cback_struct& cb);
friend bool getAmountDigit(const Cback_struct& cb);


  private:
	GraphicKernel* box;
	StringIcon* label1;
	int choiceStatus;
	StringIcon* label2;
	CommandIcon* sendButton;
	CommandIcon* okCard;
	CommandIcon* wrongCard;
	String passwordStatus;
	Integer amount;
	CashCard card;
	ATM* myATM;
	String lastInput;

  protected:

	ArrayOb digits;

  private:
	void end1(Object* commandChoice);
	void start2();
	void end2();
	void start3();
	void end3();
	void start1();
	void digit(CommandIcon* choiceButton);
	void passwdDigit(CommandIcon* choiceButton);
	void amountDigit(CommandIcon* choiceButton);
	virtual Object* doService(Service* service);

  public:
	Client(const char* name ="TheClient", ATM* theATM =NULL);
	~Client();



	Object* editorTrace(String& member);

};

#endif /* CLIENT_GUI2 */

