/* File client.h  definition of ....*/
#ifndef CLIENT_H
#define CLIENT_H


#include <rodin/server.h>


class ATM;
class CashCard;
class Integer;
class EventHandler;
class String;




extern Symbol WAIT_ACK_CC;
extern Symbol TRANSF_PASS;
extern Symbol TRANSF_AMNT;
extern Symbol REQ_PASS;
extern Symbol REQ_AMOUNT;
extern Symbol REQ_AMNT;
extern Symbol TRANS_MONEY;
extern Symbol WRONG_AMNT;
extern Symbol WRONG_PASS;
extern Symbol WRONG_CARD;

extern Class class_Client;

class Client : public Server
{
	DEFINE_CLASS_METHOD(Client);
	DEFINE_IDLE_STORE_METHOD(Client,Server);


  private:
	CashCard* card;
	String* wrongPassword;
	String* correctPassword;
	Integer* amount;
	ATM* myATM;

  private:
	virtual Object* doService(Service* service);

  public:
	Client(const char* name ="TheClient");
	~Client();


	void assign(ATM* atm);

	Object* editorTrace(String& member);

};

#endif /* CLIENT */

