/* File remoteTrans.C  implement ....*/
#define REMOTETRANS_C


#include <oak/oakstrn.h>
#include <oak/symbol.h>
#include <oak/cbacks.h>

#include "remoteTrans.h"







DEFINE_SIMPLE_CLASS(RemoteTransaction,Object,1,NULL);
#define THIS RemoteTransaction
#define BASE Object


RemoteTransaction::RemoteTransaction(CardAutorization aut, Customer cust, CashCard cd)
: autorization(aut), customer(cust), card(cd)
{
  TRACE_FUNC("RemoteTransaction::RemoteTransaction");
}


RemoteTransaction::RemoteTransaction()
{
  TRACE_FUNC("RemoteTransaction::RemoteTransaction");
}




RemoteTransaction::~RemoteTransaction()
{
  TRACE_FUNC("RemoteTransaction::~RemoteTransaction");
}






CardAutorization* RemoteTransaction::theAutorization()
{
  TRACE_FUNC("RemoteTransaction::theAutorization");
return &autorization;
}


Customer* RemoteTransaction::theCustomer()
{
  TRACE_FUNC("RemoteTransaction::theCustomer");
return &customer;
}


CashCard* RemoteTransaction::theCard()
{
  TRACE_FUNC("RemoteTransaction::theCard");
return &card;
}


void RemoteTransaction::insertPass(String ps)
{
  TRACE_FUNC("RemoteTransaction::insertPass");
autorization.thePassword(ps);
}


void RemoteTransaction::insertCard(CashCard cd)
{
  TRACE_FUNC("RemoteTransaction::theCard");
card = cd;
}


String RemoteTransaction::getPass()
{
  TRACE_FUNC("RemoteTransaction::getPass");
return autorization.thePassword();
}


int RemoteTransaction::getBank()
{
  TRACE_FUNC("RemoteTransaction::getBank");
  return card.bankCd();
}


void RemoteTransaction::amount(Integer amnt)
{
  TRACE_FUNC("RemoteTransaction::amount");
  withDrawalAmount = amnt;
}


Integer RemoteTransaction::amount()
{
  TRACE_FUNC("RemoteTransaction::amount");
  return withDrawalAmount;
}




Object* RemoteTransaction::editorTrace(String& s)
{
  if(s == "autorization")
  {
	s = autorization.printOnString();
	return (Object*)&autorization;
  }
  else
  if(s == "customer")
  {
	s = customer.printOnString();
	return (Object*)&customer;
  }
  else
  if(s == "card")
  {
	s = card.printOnString();
	return (Object*)&card;
  }
  return nil;
}

/* End of File REMOTETRANS */

