/* File topLevel-ATM1.C  implement ....*/
#define TOPLEVEL_ATM1_C


#include <oak/oakstrn.h>
#include <oak/symbol.h>
#include <oak/cbacks.h>
#include <mondrian/widget.h>

#include "topLevel-ATM1.h"

#include "cashCard.h"
#include <rodin/evnthdlr.h>




#include <mondrian/animation.h>
#include <oak/oakstrm.h> 
#include <oak/clock.h>
#include <rodin/oakproc.h> 
#include <rodin/service.h>
long mLoopRet;

main(int,char**)
{
  setRealTime();
  TopLevel* topLevel = new TopLevel;
  ANIMATE_ON_WIDGET(topLevel,"topLevel-ATM1");
  ANIMATE_CHILD(firstATM,"ATM");
  ANIMATE_CHILD(client, "client-GUI1");
  ANIMATE_CHILD(consortium,"consortium");
  ANIMATE_CHILD_OF(consortium,bank,"bank"); 
 START_ANIMATION;  


  Integer* ok = topLevel->doIt();
  cout << "operazione ok? " << *ok << endl;
 
 END_ANIMATION;

 delete topLevel; 
  return 0;
} 

DEFINE_SIMPLE_CLASS(TopLevel,Object,1,NULL);
#define THIS TopLevel
#define BASE Object


TopLevel::TopLevel()
: client("aClient"), consortium("TheBankConsortium",1111), firstATM("FirstATM")
{
  TRACE_FUNC("TopLevel::TopLevel");
  firstATM.assign(&consortium);
  ATMCltn.add(firstATM);
  client.assign(&firstATM);
}








Integer* TopLevel::doIt()
{
  TRACE_FUNC("TopLevel::doIt");
  return CASTP(Integer,client.waitService());
}




Object* TopLevel::editorTrace(String& s)
{
  if(s == "client")
  {
	s = client.printOnString();
	return (Object*)&client;
  }
  else
  if(s == "firstATM")
  {
	s = firstATM.printOnString();
	return (Object*)&firstATM;
  }
  else
  if(s == "consortium")
  {
	s = consortium.printOnString();
	return (Object*)&consortium;
  }
  else
  if(s == "ATMCltn")
  {
	s = ATMCltn.printOnString();
	return (Object*)&ATMCltn;
  }
  return nil;
}

/* End of File TOPLEVEL_ATM1 */

