/* File topLevel-ATM1.h  definition of ....*/
#ifndef TOPLEVEL_ATM1_H
#define TOPLEVEL_ATM1_H


#include <oak/object.h>

#include "ATM.h"
#include "consortium.h"
#include "client-GUI1.h"
#include <oak/orderedc.h>

class CashCard;
class EventHandler;






extern Class class_TopLevel;

class TopLevel : public Object
{
	DEFINE_CLASS_METHOD(TopLevel);
	DEFINE_IDLE_STORE_METHOD(TopLevel,Object);


  private:
	Client client;
	ATM firstATM;

  protected:
	Consortium consortium;

	OrderedCltn ATMCltn;

  public:
	TopLevel();


	Integer* doIt();

	Object* editorTrace(String& member);

};

#endif /* TOPLEVEL_ATM1 */

