/* File cltn.C, example of use of the class OrderedCltn */ 
#include <oak/orderedc.h>  // include file for class OrderedCltn 
#include <oak/oakstrn.h> 
 
main(int,char**) 
{ 
  OrderedCltn cltn; 
  String s1 = "A string to be added to the cltn"; 
  String* s2 = CASTP(String,s1.copy()); 
  String s3 = "Another string to be  added to the cltn"; 
  cltn.add(s1); 
  cltn.add(*s2); 
  cltn.add(s3); 
  cout << "The Collection " << cltn << endl; 
 
  String* sPt = CASTP(String,cltn.remove(s3)); 
                    // remove the first string equal to s3 
  cout << "Is the removed String  equal to s3 ?, " 
       << boolString(s3 == *sPt) << endl; 
  cout << "Is the removed Object the same as s3 ?, " 
       << boolString(&s3 == sPt) << endl; 
  cout << "The Collection after the first remove is " << cltn << endl; 
  String* strPt = CASTP(String,cltn.remove(*s2)); 
                    // remove the first string equal to *s2 
 
  cout << "Is the removed String the same as *s2 ?, " 
       << boolString(s2 == strPt) << endl; 
  cout << "Is the removed String the same as s1 ?, " 
       << boolString(&s1 == strPt) << endl; 
  cout << "The Collection after the second remove is " << cltn << endl; 
 
  strPt = CASTP(String,cltn.find(*s2)); 
                    // return the first object equal to *s2 
  cout << "Has the String *s2 be found ?, " 
       << boolString(s2 == strPt) << endl; 
 
  cltn.removeAll(); // but it does'nt delete them 
  cout << "The Collection after removeAll is " << cltn << endl; 
  cout << "Is the Collection empty ?, " 
       << boolString(cltn.isEmpty()) << endl; 
 
  delete s2; // before, make sure that s2 is no more in any collection 
 
 return 0; 
} 
/*End of file cltn.C, example of use the OrderedCltn class */ 

