/* File factory-55.C  implement ....*/
#define FACTORY_55_C


#include <oak/oakstrn.h>
#include <oak/symbol.h>
#include <oak/cbacks.h>

#include "factory-55.h"



DEFINE_SIMPLE_CLASS(Factory,Server,1,NULL);
#define THIS Factory
#define BASE Server


Factory::Factory(const char* name)
: BASE(name), shop(2)
{
  TRACE_FUNC("Factory::Factory");
}





Object* Factory::doService(Service* service)
{
  TRACE_FUNC("Factory::doService");
  CBACK_TRACE(service,"factory-55_doService|_START_");
  GET_ARG(0,Order,order);
  order.status(OrderPlanned);
  orders.add(order);
  cout << "Start the service for Order " << order << endl;
  CBACK_TRACE(service,"factory-55_doService|269963860");
  service->setStatus(OrderPlanned, &order);
  CBACK_TRACE(service,"factory-55_doService|269900124");
  // waitAddOder
  shop.add(order);
  order.status(OrderInProgress);
  cout << "Order " << order << " is in progress" << endl;
  CBACK_TRACE(service,"factory-55_doService|269934280");
  service->setStatus(OrderInProgress, &order);
  CBACK_TRACE(service,"factory-55_doService|269918044");
  // WaitTime
  waitFor(order.getTime());
  shop.remove(order);
  orders.remove(order);
  order.status(OrderCompleted);
  cout << "Order " << order << " is complete" << endl;
  CBACK_TRACE(service,"factory-55_doService|269502156");

  CBACK_TRACE(service,"factory-55_doService|269963760");
  return nil;
}






Object* Factory::editorTrace(String& s)
{
  if(s == "shop")
  {
	s = shop.printOnString();
	return (Object*)&shop;
  }
  else
  if(s == "orders")
  {
	s = orders.printOnString();
	return (Object*)&orders;
  }
  return nil;
}

/* End of File factory-55.C */

