/* File factory-55.h  definition of ....*/
#ifndef FACTORY_55_H
#define FACTORY_55_H


#include <rodin/server.h>

#include <rodin/condcltn.h>
#include "./order-55.h"
#include <oak/orderedc.h>




extern Class class_Factory;

class Factory : public Server
{
	DEFINE_CLASS_METHOD(Factory);
	DEFINE_IDLE_STORE_METHOD(Factory,Server);


  private:
	CondCltn shop;

  protected:

	OrderedCltn orders;

  private:
	virtual Object* doService(Service* service);

  public:
	Factory(const char* name ="Factory");



	Object* editorTrace(String& member);

};

#endif /* FACTORY-55_H */

