/* File factory.h  definition of ....*/
#ifndef FACTORY_H
#define FACTORY_H


#include <rofin/server.h>

#include "./order-vers55.h"
#include <rodin/condltn.h>
#include <oak/orderedc.h>




extern Class class_Factory;

class Factory : public Server
{
	DEFINE_CLASS_METHOD(Factory);
	DEFINE_IDLE_STORE_METHOD(Factory,Server);


  private:
	CondCltn shop;

  protected:

	OrderedCltn orders;

  private:
	virtual Object* doService(Service* service);

  public:
	Factory(const char* name ="Factory");



	Object* editorTrace(String& member);

};

#endif /* FACTORY_H */

