 /* File first.C, example of use of the class String */ 

#include <oak/oakstrn.h>  // include file for class String 
 
 
main(int,char**) // the main of a G++ program must have this prototype 
{ 
    String s = "This is a String"; 
    String s1 = "This is Another String"; 
    String s_s1 = s + " " + s1; // concatenate s with s1; 
 
    cout << "String s = " << s << endl; 
    cout << "String s1 = " << s1 << endl; 
    cout << "String s_s1 = " << s_s1 << endl; 
 
    // use of some of the functionalities inherited from the class Object 
 
    String* s2 = new String(s); // get a copy of s, dynamically allocated 
    cout << "s2 is a pointer to an instance of class " 
                        << s2->className() << endl; 
    cout << "s == *s2, " << boolString(s == *s2) << endl; 
 
    delete s2; 
   return 0; 
} 
 
/* End of file first.C, example of use of the class String */ 

