/* File order-45.h  definition of ....*/
#ifndef ORDER_45_H
#define ORDER_45_H


#include <oak/object.h>

#include <oak/symbol.h>
#include <oak/oakstrn.h>



extern Symbol OrderReceived; 
extern Symbol OrderPlanned;
extern Symbol OrderInProgress; 
extern Symbol OrderCompleted;
extern Symbol OrderDelivered; 

extern Class class_Order;

class Order : public Object
{
	DEFINE_CLASS_METHOD(Order);


  private:
	String theName;
	Symbol theStatus;

  protected:
	void storer(fileDescTy& fd) const;
	void storer(ostream& strm) const;
	Order(fileDescTy& fd, Order& where);
	Order(istream& strm, Order& where);

	virtual void printOn(ostream& strm) const;
	virtual bool isEqual(const Object& ob) const;
	virtual int compare(const Object& ob) const;

  public:
	Order(const String& name =emptyString, const Symbol& status =OrderReceived);


	String name();
	Symbol status();
	void status(Symbol newStatus);

	Object* editorTrace(String& member);

};

#endif /* ORDER-45_H */

