/* File topLevel-31.C  implement ....*/
#define TOPLEVEL_31_C


#include <oak/oakstrn.h>
#include <oak/symbol.h>
#include <oak/cbacks.h>

#include "topLevel-31.h"


main(int,char**) 
{ 
   TopLevel* topLevel = new TopLevel; 
   topLevel->doIt(); 
   delete topLevel; 
   return 0; 
}
DEFINE_SIMPLE_CLASS(TopLevel,Object,1,NULL);
#define THIS TopLevel
#define BASE Object


TopLevel::TopLevel()
{
  TRACE_FUNC("TopLevel::TopLevel");
}







void TopLevel::doIt()
{
  TRACE_FUNC("TopLevel::doIt");
  cout << "The Collection after second remove " << cltn << endl; 
  String s1 = "A string to add to the cltn"; 
  String* s2 = (String*)s1.copy(); 
  String s3 = "Another string to add to the cltn"; 
  cltn.add(s1); 
  cltn.add(*s2); 
  cltn.add(s3); 
  cout << "The Collection " << cltn << endl; 
 
  Object* obPt = cltn.remove(s3); 
             // remove the first string equal to s3 
  cout << "Object remove is s3 ?, " 
       << boolString(&s3 == obPt) << endl; 
  cout << "The Collection after first remove " << cltn << endl; 
 
  obPt = cltn.remove(*s2); 
            // remove the first string equal to *s2 
            // s1 is removed; 
  cout << "Object remove is *s2 ?, " 
       << boolString(s2 == obPt) << endl; 
  cout << "Object remove is s1 ?, " 
       << boolString(&s1 == obPt) << endl; 
 
 
  obPt = cltn.find(*s2); // return the first object equal to *s2 
  cout << "Object found is *s2 ?, " << boolString(s2 == obPt) << endl; 
 
  cltn.removeAll(); 
  cout << "The Collection after remove All " << cltn << endl; 
 
 
  delete s2; // must be sure that s2 is no more in any collection 

} 




Object* TopLevel::editorTrace(String& s)
{
  if(s == "cltn")
  {
	s = cltn.printOnString();
	return (Object*)&cltn;
  }
  return nil;
}

/* End of File topLevel-31.C */

