/* File topLevel-532.h  definition of class TopLevel */

/*		Copyright (c) 1990 SYCO			  */
/*		  All Rights Reserved			  */
/*							  */
/*  THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF SYCO   */
/*  The copyright notice above does not evidence any      */
/*  actual or intended publication of such source code.   */


#ifndef TOPLEVEL_532_H
#define TOPLEVEL_532_H

#include <oak/object.h>

#include "order-45.h"
#include <oak/vseqcltn.h>

class OrderedCltn;


extern Symbol FORK;
extern Symbol ADD_ORDERS;
extern Symbol REMOVE_ORDERS;




extern Class class_TopLevel;

class TopLevel : public Object
{
	DEFINE_CLASS_METHOD(TopLevel);
	DEFINE_IDLE_STORE_METHOD(TopLevel,Object);

  protected:

	VSeqCltn orders;

  protected:
	void insertError();
	void forkSecondProcess(const Cback& cb);
	void answerToEvents(const Cback& cb);
	void addOrders(const Cback& cb);
	void removeOrders(const Cback& cb);

  public:
	TopLevel();


	void doIt();

	Object* editorTrace(String& member);

};

#endif /* TOPLEVEL_532 */
