/* File topLevel-54.h  definition of ....*/
#ifndef TOPLEVEL_54_H
#define TOPLEVEL_54_H


#include <oak/object.h>

#include <rodin/condcltn.h>
#include "./order-45.h"
#include <rodin/evnthdlr.h>

class OrderedCltn;



extern Class class_TopLevel;

class TopLevel : public Object
{
	DEFINE_CLASS_METHOD(TopLevel);
	DEFINE_IDLE_STORE_METHOD(TopLevel,Object);


  private:
	EventHandler ev;

  protected:

	CondCltn orders;

	void insertError();

  public:
	TopLevel();


	void doIt();

	Object* editorTrace(String& member);

};

#endif /* TOPLEVEL-54_H */

