/* File topLevel-62.h  definition of ....*/
#ifndef TOPLEVEL_62_H
#define TOPLEVEL_62_H


#include <oak/object.h>

#include <mondrian/command.h>
#include <oak/orderedc.h>

class CppBox;



extern Class class_TopLevel;

class TopLevel : public Object
{
	DEFINE_CLASS_METHOD(TopLevel);
	DEFINE_IDLE_STORE_METHOD(TopLevel,Object);
        friend bool commandFunc(const Cback_struct& cb); 

  private:
	CppBox* box;

  protected:

	OrderedCltn buttons;

	void doChoice(CppCommand*choice);

  public:
	TopLevel();
	~TopLevel();


	void doIt();

	Object* editorTrace(String& member);

};

#endif /* TOPLEVEL-62_H */

