/* File Cart.h  definition of ....*/
#ifndef CART_H
#define CART_H


#include "RailPerifery.h"


class Rail;
class Dictionary;


extern Symbol CartEmpty;
extern Symbol CartFull;
extern Symbol CartGoHome;
extern Class class_Cart;

class Cart : public RailPerifery
{
	DEFINE_CLASS_METHOD(Cart);

  protected:
	void storer(fileDescTy& fd) const;
	void storer(ostream& strm) const;
	Cart(fileDescTy& fd, Cart& where);
	Cart(istream& strm, Cart& where);

	CompositeIcon& createIcon();
	void initIcon();
	void setColor();

  public:
	Cart(const String& name);
	Cart();
	~Cart();


	CompositeIcon* setIcon(Rail* rail);
	void setStatus(const Symbol& status);

	Object* editorTrace(String& member);

};

#endif /* CART_H */

