/* File Piece.C  implement ....*/
#define PIECE_C


#include <oak/oakstrn.h>
#include <oak/symbol.h>
#include <oak/cbacks.h>

#include "Piece.h"



DEFINE_SIMPLE_CLASS(Piece,Object,1,NULL);
#define THIS Piece
#define BASE Object


Piece::Piece(const String& name, const String& type)
  : piece_name(name),
    piece_type(type)
{
}


Piece::Piece()
  : piece_name("piece1"),
    piece_type("Piece")
{
  TRACE_FUNC("Piece::Piece");
}






void Piece::printOn(ostream& strm) const
{
  TRACE_FUNC("Piece::printOn");
  strm << className() << "(" << piece_name
	 << "," << piece_type << ")";
}



Symbol Piece::name()
{
  TRACE_FUNC("Piece::name");
  return piece_name;
}


Symbol Piece::type()
{
  return piece_type;
}




Object* Piece::editorTrace(String& s)
{
  if(s == "piece_type")
  {
	s = piece_type.printOnString();
	return (Object*)&piece_type;
  }
  else
  if(s == "piece_name")
  {
	s = piece_name.printOnString();
	return (Object*)&piece_name;
  }
  return nil;
}

/* End of File Piece.C */

