/* File RemoteContext.h  definition of ....*/
#ifndef REMOTECONTEXT_H
#define REMOTECONTEXT_H


#include <rodin/server.h>

#include <oak/integer.h>
#include <rodin/server.h>
#include <rodin/service.h>
#include <mainStream/msItrnProc.h>
#include <rodin/evnthdlr.h>
#include <oak/dictiona.h>




extern Class class_RemoteContext;

class RemoteContext : public Server
{
	DEFINE_CLASS_METHOD(RemoteContext);
	DEFINE_IDLE_STORE_METHOD(RemoteContext,Server);


  private:
	MsItrnProcess network;
	EventHandler ev;
	Server server;

  protected:

	Dictionary idDict;
	Dictionary services;

  private:
	void otherMessage(OrderedCltn& message);
	void runSubService(OrderedCltn& message);
	void sendCbackMessage(Service& subServ, const Symbol& event, Object* callData);
	void endSubService(Service& subServ);
	virtual Object* doService(Service* service);

  public:
	RemoteContext(const char* name ="Context", const char* stubId ="Stub");
	~RemoteContext();



	Object* editorTrace(String& member);

};

#endif /* REMOTECONTEXT_H */

