/* File RemoteMachine.h  definition of class RemoteMachine */

/*		Copyright (c) 1990 SYCO			  */
/*		  All Rights Reserved			  */
/*							  */
/*  THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF SYCO   */
/*  The copyright notice above does not evidence any      */
/*  actual or intended publication of such source code.   */


#ifndef REMOTEMACHINE_H
#define REMOTEMACHINE_H

#include <rodin/server.h>

#include "Machine.h"
#include "Network.h"
#include <rodin/evnthdlr.h>
#include <oak/dictiona.h>
#include <rodin/service.h>
#include <oak/integer.h>
#include "Piece.h"









extern Class class_RemoteMachine;

class RemoteMachine : public Server
{
	DEFINE_CLASS_METHOD(RemoteMachine);
	DEFINE_IDLE_STORE_METHOD(RemoteMachine,Server);


  private:
	Machine server;
	Network network;
	EventHandler ev;

  protected:

	Dictionary services;
	Dictionary idDict;
	Dictionary pieces;

  private:

  private:
	void otherMessage(OrderedCltn& message);
	void runSubService(OrderedCltn& message);
	void sendCbackMessage(Service& subServ, const Symbol& event, Object* callData);
	void endSubService(Service& subServ);

	virtual Object* doService(Service* service);

  protected:


  public:
	RemoteMachine(const char* name ="Context");
	~RemoteMachine();



	Object* editorTrace(String& member);

};

#endif /* REMOTEMACHINE */
