/* File StubTemplate.h  definition of ....*/
#ifndef STUBTEMPLATE_H
#define STUBTEMPLATE_H


#include <rodin/server.h>

#include <mainStream/msItrnProc.h>
#include <rodin/evnthdlr.h>




extern Class class_StubTemplate;

class StubTemplate : public Server
{
	DEFINE_CLASS_METHOD(StubTemplate);
	DEFINE_IDLE_STORE_METHOD(StubTemplate,Server);


  private:
	MsItrnProcess network;
	EventHandler ev;

  private:
	virtual Object* doService(Service* service);

  public:
	StubTemplate(const char* name ="Stub");
	~StubTemplate();


	void execSome();

	Object* editorTrace(String& member);

};

#endif /* STUBTEMPLATE_H */

