/* File Cell-prot.h  definition of class Cell */

/*		Copyright (c) 1990 SYCO			  */
/*		  All Rights Reserved			  */
/*							  */
/*  THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF SYCO   */
/*  The copyright notice above does not evidence any      */
/*  actual or intended publication of such source code.   */


#ifndef CELL_PROT_H
#define CELL_PROT_H

#include <rodin/server.h>

#include <rodin/evnthdlr.h>
#include "Machine.h"
#include "SimpleStore.h"
#include "Transport.h"

class Piece;
class Lot;






class CppWidget;
extern Symbol CellCompleteLot;
extern Symbol LotCompleted;
extern Symbol lotCompleted;

int cellProt();
int agvEdt();


extern Class class_Cell;

class Cell : public Server
{
	DEFINE_CLASS_METHOD(Cell);
	DEFINE_IDLE_STORE_METHOD(Cell,Server);


  private:
	EventHandler ev;

  protected:
	Machine mac;
	SimpleStore storeOut;
	SimpleStore storeIn;
	Transport tr;


  private:

  private:
	void fillStoreIn(Lot& lot);
	void emptyStoreOut();

	virtual Object* doService(Service* service);

  protected:


  public:
	Cell();
	Cell(Object* parentWidget);
	~Cell();


	void waitLot(Lot* lot);
	void start();
	void stop();
	waitSetup();

	Object* editorTrace(String& member);

};

#endif /* CELL_PROT */
