/* File Piece.h  definition of ....*/
#ifndef PIECE_H
#define PIECE_H


#include <oak/object.h>

#include <oak/symbol.h>




extern Class class_Piece;

class Piece : public Object
{
	DEFINE_CLASS_METHOD(Piece);
	DEFINE_IDLE_STORE_METHOD(Piece,Object);

  protected:
	Symbol piece_type;
	Symbol piece_name;


	void printOn(ostream& strm) const;

  public:
	Piece(const String& name, const String& type);
	Piece();


	Symbol name();
	Symbol type();

	Object* editorTrace(String& member);

};

#endif /* PIECE_H */

