/* File RailPerifery.h  definition of ....*/
#ifndef RAILPERIFERY_H
#define RAILPERIFERY_H


#include <oak/object.h>

#include <oak/symbol.h>
#include "RailPos.h"

class CompositeIcon;
class Rail;



extern Class class_RailPerifery;

class RailPerifery : public Object
{
	DEFINE_CLASS_METHOD(RailPerifery);

  protected:
	CompositeIcon* icon;
	Symbol icon_name;
	RailPos icon_pos;
	Rail* rail_at;
	Symbol state;


  protected:
	void storer(fileDescTy& fd) const;
	void storer(ostream& strm) const;
	RailPerifery(fileDescTy& fd, RailPerifery& where);
	RailPerifery(istream& strm, RailPerifery& where);


  public:
	RailPerifery(const String& name);
	RailPerifery();
	~RailPerifery();


	const Symbol& name() const;
	void setName(const String& name);
	virtual CompositeIcon* setIcon(Rail*);
	CompositeIcon* getIcon();
	Rail* railAt();
	void setStatus(const Symbol& status);
	const Symbol& getStatus() const;

	Object* editorTrace(String& member);

};

#endif /* RAILPERIFERY_H */

