/* File bank.C  implement ....*/
#define BANK_C


#include <oak/oakstrn.h>
#include <oak/symbol.h>
#include <oak/cbacks.h>

#include "bank.h"

#include "remoteTrans.h"






DEFINE_SIMPLE_CLASS(Bank,Server,1,NULL);
#define THIS Bank
#define BASE Server


Bank::Bank(const char* name,  int bankCd)
: BASE(name),zero(0),uno(1),bankCode(bankCd)
{
  TRACE_FUNC("Bank::Bank");

}




Bank::~Bank()
{
  TRACE_FUNC("Bank::~Bank");

}



Object* Bank::doService(Service* service)
{
  TRACE_FUNC("Bank::doService");
  CBACK_TRACE(service,"bank_doService|_START_");
  GET_ARG(0,RemoteTransaction,remTrans);
  CBACK_TRACE(service,"bank_doService|270519680");
  if( remTrans.amount() < 1500000 )
  {
      CBACK_TRACE(service,"bank_doService|269499156");
      retValue = uno;
      CBACK_TRACE(service,"bank_doService|269495932");
  }
  else
  {
      CBACK_TRACE(service,"bank_doService|269499156");
      retValue = zero;
      CBACK_TRACE(service,"bank_doService|269749304");
  }

  CBACK_TRACE(service,"bank_doService|270321772");
  return &retValue;
}




Integer Bank::bankCd()
{
  TRACE_FUNC("Bank::bankCode");
  return bankCode;
}




Object* Bank::editorTrace(String& )
{
  return nil;
}

/* End of File BANK */

