/* File cashCard.h  definition of ....*/
#ifndef CASHCARD_H
#define CASHCARD_H


#include <oak/object.h>

#include <oak/oakstrn.h>







extern Class class_CashCard;

class CashCard : public Object
{
	DEFINE_CLASS_METHOD(CashCard);
	DEFINE_IDLE_STORE_METHOD(CashCard,Object);


  private:
	String status_;

  protected:
	int bankCode;
	int cardCode;
	int serialNumber;


  protected:
	virtual void printOn(ostream& strm) const;

  public:
	CashCard(int bankC =0, int cardC =0, int serialN =0);
	CashCard(const CashCard& card);


	int bankCd();
	int cardCd();
	int serialNb();
	String& status();
	void status(const String& state);
	void operator=(const CashCard& card);

	Object* editorTrace(String& member);

};

#endif /* CASHCARD */

