/* File client-GUI.C  implement ....*/
#define CLIENT_GUI_C


#include <oak/oakstrn.h>
#include <oak/symbol.h>
#include <oak/cbacks.h>
#include <mondrian/widget.h>

#include "client-GUI.h"

#include "ATM.h"
#include "cashCard.h"
#include <mondrian/command.h>
#include <oak/integer.h>
#include <mondrian/label.h>
#include <mondrian/form.h>
#include <rodin/evnthdlr.h>
#include <oak/oakstrn.h>





#define GUI_Interaction(lab) button->label(lab);  mLoopRet = baseMainLoop()

#include <mondrian/command.h>
#include <oak/cbacks.h>
Symbol WAIT_ACK_CC = "WAIT_ACK_CC";
Symbol TRANSF_PASS = "TRANSF_PASS";
Symbol TRANSF_AMNT = "TRANSF_AMNT";
Symbol WAIT_GUI= "WAIT_GUI";

bool pressFunc(const Cback_struct& cb)
{   static int doQuit = 0; 
 
   CASTP_OWNER(CppCommand,button); 
   switch(doQuit) 
   {
      case 0: 
      { 
        button->label("Type Password"); 
        doQuit +=1; 
        exitMainLoop(); 
        break;  
      }
       case 1: 
      { 
        button->label("Type Amount"); 
        doQuit +=1; 
        exitMainLoop();
        break;
      }      
       case 2:
      { 
        exitMainLoop();

       }
    }
   return YES; 
}

  
bool answerAction(const Cback_struct& cb)

{
   CASTP_OWNER(CppCommand,btn);
   CASTP_USERDATA(Client,client);
   client->doChoice(btn);
   return YES;
}

DEFINE_SIMPLE_CLASS(Client,Server,1,NULL);
#define THIS Client
#define BASE Server


Client::Client(const char* name)
: BASE(name) 
{
  TRACE_FUNC("Client::Client");
  card = new CashCard(1111,0011,2200);
  amount = new Integer(1000000);
  cardStatus = new String("WrongCard");
  passwordStatus = new String("WrongPassword");
  amountStatus = new String("WrongAmount");
  box = new CppForm(topLevelWidget,"Box",YES);
  label = new CppLabel(box,"Label");
  label->label("BANCOMAT");
  box->resizable(label);
  okButton = new CppCommand(box,"OkButton",NO);
  okButton->label("  OK  ");
  okButton->addCback(CommandPress,answerAction,this);
  box->resizable(okButton);
  notokButton = new CppCommand(box,"NotokButton",NO);
  notokButton->label("NOT OK");
  notokButton->addCback(CommandPress,answerAction,this);
  box->resizable(notokButton);
  box->atPos(label,100,5);
  box->topBottom(label,okButton);
  box->topBottom(label,notokButton);
  box->leftRight(okButton,notokButton,100);
  box->width(400);
  box->height(300);
}



Client::~Client()
{
  TRACE_FUNC("Client::~Client");
  delete amount;
  delete card;
  delete cardStatus;
  delete passwordStatus;
  delete amountStatus; 
}




Object* Client::doService(Service* service)
{
  TRACE_FUNC("Client::doService");
  CBACK_TRACE(service,"client-GUI_doService|_START_");
  // Initialisation
  service->attachTo(myATM,AnyCback);
  int i = 0;
  bool passwdNotOk = YES;
  bool amountNotOk = YES;
  CBACK_TRACE(service,"client-GUI_doService|271869228");

  CBACK_TRACE(service,"client-GUI_doService|269146604");
  {  // START SUBNET client_Interaction
    CBACK_TRACE(service,"client-GUI_doService|client_Interaction|_START_");
    service->setStatus(WAIT_GUI);
    CBACK_TRACE(service,"client-GUI_doService|client_Interaction|269816376");
    
    waitEventFrom(CommandPress,i);
    CBACK_TRACE(service,"client-GUI_doService|client_Interaction|270714164");
  
    CBACK_TRACE(service,"client-GUI_doService|client_Interaction|270607968");
  }  //  END  SUBNET client_Interaction
  // request to ATM
  Service* server = myATM->joinService(card);
  CBACK_TRACE(service,"client-GUI_doService|271966048");
  service->setStatus(WAIT_ACK_CC);
  SELECT_TRACE(service,"client-GUI_doService|271883048")
    ACCEPT(REQ_PASS);
      i = 2;
      CBACK_TRACE(service,"client-GUI_doService|272285068");
      while (passwdNotOk)
      {
          CBACK_TRACE(service,"client-GUI_doService|3078372");

          CBACK_TRACE(service,"client-GUI_doService|271946668");
          {  // START SUBNET client_Interaction
            CBACK_TRACE(service,"client-GUI_doService|client_Interaction|_START_");
            service->setStatus(WAIT_GUI);
            CBACK_TRACE(service,"client-GUI_doService|client_Interaction|269816376");
            
            waitEventFrom(CommandPress,i);
            CBACK_TRACE(service,"client-GUI_doService|client_Interaction|270714164");
          
            CBACK_TRACE(service,"client-GUI_doService|client_Interaction|270607968");
          }  //  END  SUBNET client_Interaction
          service->setStatus(TRANSF_PASS, passwordStatus);
          SELECT_TRACE(service,"client-GUI_doService|272312444")
            ACCEPT(REQ_AMOUNT);
              i = 4;
              passwdNotOk = NO;
              CBACK_TRACE(service,"client-GUI_doService|272312732");
            ACCEPT(WRONG_PASS);
              
              CBACK_TRACE(service,"client-GUI_doService|272299004");
          END_SELECT
      }
      while (amountNotOk)
      {
          CBACK_TRACE(service,"client-GUI_doService|6432812");

          CBACK_TRACE(service,"client-GUI_doService|272121104");
          {  // START SUBNET client_Interaction
            CBACK_TRACE(service,"client-GUI_doService|client_Interaction|_START_");
            service->setStatus(WAIT_GUI);
            CBACK_TRACE(service,"client-GUI_doService|client_Interaction|269816376");
            
            waitEventFrom(CommandPress,i);
            CBACK_TRACE(service,"client-GUI_doService|client_Interaction|270714164");
          
            CBACK_TRACE(service,"client-GUI_doService|client_Interaction|270607968");
          }  //  END  SUBNET client_Interaction
          service->setStatus(TRANSF_AMNT, amount);
          SELECT_TRACE(service,"client-GUI_doService|271895848")
            ACCEPT(TRANS_MONEY);
              amountNotOk = NO;
              CBACK_TRACE(service,"client-GUI_doService|271355084");
            ACCEPT(WRONG_AMNT);
              
              CBACK_TRACE(service,"client-GUI_doService|271335744");
          END_SELECT
      }
    ACCEPT(WRONG_CC);
      
      CBACK_TRACE(service,"client-GUI_doService|271354764");
      // do nothing
      CBACK_TRACE(service,"client-GUI_doService|6060052");
  END_SELECT
  
  service->detachFrom(myATM,AnyCback);
  CBACK_TRACE(service,"client-GUI_doService|272050228");

  CBACK_TRACE(service,"client-GUI_doService|271362072");
  return myATM->join(server);
}



void Client::doChoice(CppCommand* choiceButton)
{
  TRACE_FUNC("Client::doChoice");
// cout << "entrato" << endl;
//  assert(index >= 0);
// cout <<"assert ok" << endl;
  switch(choiceStatus)
  {
    case 0:
	if(choiceButton == notokButton)
	{
   		cardStatus = new String("WrongCard");
     		card->status(cardStatus);
	}
	else
	{
     		cardStatus = new String("CorrectCard");
	   	card->status(cardStatus);
	}
     	break;
    case 2:
	if(choiceButton == notokButton)
	{
   		passwordStatus = new String("WrongPassword");
	}
	else
	{
     		passwordStatus = new String("correctPassword");
	}
     	break;
    case 4:
	if(choiceButton == notokButton)
	{
   		amountStatus = new String("wrongAmount");
		*amount = 2000000;
	}
	else
	{
     		amountStatus = new String("CorrectAmount");
		*amount = 1000000; 
	}
     	break;
  }
}

void Client::waitEventFrom(const Symbol& event, int choiceKind)
{
  TRACE_FUNC("Client::waitEventFrom");
  choiceStatus = choiceKind;
  activeProcess()->attachTo(okButton,event);
  activeProcess()->attachTo(notokButton,event);
  label->unmanage();
  switch(choiceKind)
  {
     case 0: //wait password
	label->label("INSERT CARD");
	okButton->label("Valid Card");
	notokButton->label("Invalid Card");
	break;
     case 2: //wait password
	label->label("INSERT PASSWORD");
	okButton->label("Correct Password");
	notokButton->label("Wrong Password");
	break;
     case 4:
	label->label("INSERT AMOUNT");
	okButton->label("Admissible Amount");
	notokButton->label("Excessive Amount");
	break;
  }
  label->manage();
  okButton->manage();
  notokButton->manage();	
  activeProcess()->waitEvent(event);
  activeProcess()->detachFrom(okButton,event);
  activeProcess()->detachFrom(notokButton,event);
  okButton->unmanage();
  notokButton->unmanage();	
}



void Client::assign(ATM* atm)
{
  TRACE_FUNC("Client::assign");
  myATM = atm;
}




Object* Client::editorTrace(String& s)
{
  if(s == "box")
  {
	s = box->printOnString();
	return (Object*)box;
  }
  else
  if(s == "label")
  {
	s = label->printOnString();
	return (Object*)label;
  }
  else
  if(s == "okButton")
  {
	s = okButton->printOnString();
	return (Object*)okButton;
  }
  else
  if(s == "notokButton")
  {
	s = notokButton->printOnString();
	return (Object*)notokButton;
  }
  else
  if(s == "myATM")
  {
	s = myATM->printOnString();
	return (Object*)myATM;
  }
  else
  if(s == "amount")
  {
	s = amount->printOnString();
	return (Object*)amount;
  }
  else
  if(s == "card")
  {
	s = card->printOnString();
	return (Object*)card;
  }
  return nil;
}

/* End of File CLIENT_GUI */

