/* File consortium.h  definition of ....*/
#ifndef CONSORTIUM_H
#define CONSORTIUM_H


#include <rodin/server.h>

#include "bank.h"
#include <oak/orderedc.h>

class Bank;
class EventHandler;
class RemoteTransaction;




extern Symbol WAIT_AMNT;
extern Symbol WAIT_BNK_OK;
extern Symbol MONEY_OK;
extern Symbol WRONG_PASS;
extern Symbol WRONG_AMNT;
extern Symbol WT_ACK_AMNT;
extern Symbol WAIT_BK_OK;
extern Symbol TIME_OUT;

extern Class class_Consortium;

class Consortium : public Server
{
	DEFINE_CLASS_METHOD(Consortium);
	DEFINE_IDLE_STORE_METHOD(Consortium,Server);


  private:
	Bank* bank;

  protected:

	OrderedCltn bankCltn;

  private:
	Bank* getBank(int bankCd);
	virtual Object* doService(Service* service);

  public:
	Consortium(const char* name ="TheBankConsortium", int bankCd =0);
	~Consortium();



	Object* editorTrace(String& member);

};

#endif /* CONSORTIUM */

