/* File customer.C  implement ....*/
#define CUSTOMER_C


#include <oak/oakstrn.h>
#include <oak/symbol.h>
#include <oak/cbacks.h>

#include "customer.h"







DEFINE_SIMPLE_CLASS(Customer,Object,1,NULL);
#define THIS Customer
#define BASE Object


Customer::Customer(String nm, String addr)
: name(nm),address(addr)
{
  TRACE_FUNC("Customer::Customer");
}


Customer::Customer()
: name("NoName"),address("NoAddress")
{
  TRACE_FUNC("Customer::Customer");
}


Customer::Customer(const Customer& cust)
: name(cust.name),address(cust.address)
{
  TRACE_FUNC("Customer::Customer");
}








String Customer::theName()
{
  TRACE_FUNC("Customer::theName");
return name;
}


String Customer::theAddress()
{
  TRACE_FUNC("Customer::theAddress");
return address;
}


void Customer::operator=(const Customer& cust)
{
  TRACE_FUNC("Customer::operator=");
  name = cust.name;
  address = cust.address;
}




Object* Customer::editorTrace(String& )
{
  return nil;
}

/* End of File CUSTOMER */

