/* File remoteTrans.h  definition of ....*/
#ifndef REMOTETRANS_H
#define REMOTETRANS_H


#include <oak/object.h>

#include "customer.h"
#include "cashCard.h"
#include "cardAutorization.h"







extern Class class_RemoteTransaction;

class RemoteTransaction : public Object
{
	DEFINE_CLASS_METHOD(RemoteTransaction);
	DEFINE_IDLE_STORE_METHOD(RemoteTransaction,Object);


  private:
	Integer withDrawalAmount;

  protected:
	CardAutorization autorization;
	Customer customer;
	CashCard card;


  public:
	RemoteTransaction(CardAutorization aut, Customer cust, CashCard cd);
	RemoteTransaction();
	~RemoteTransaction();


	CardAutorization* theAutorization();
	Customer* theCustomer();
	CashCard* theCard();
	void insertPass(String ps);
	void insertCard(CashCard cd);
	String getPass();
	int getBank();
	void amount(Integer amnt);
	Integer amount();

	Object* editorTrace(String& member);

};

#endif /* REMOTETRANS */

