/* File topLevel-ATM2.C  implementation of class TopLevel */

/*		Copyright (c) 1990 SYCO			  */
/*		  All Rights Reserved			  */
/*							  */
/*  THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF SYCO   */
/*  The copyright notice above does not evidence any      */
/*  actual or intended publication of such source code.   */


#define TOPLEVEL_ATM2_C

#include <oak/oakstrn.h>
#include <oak/symbol.h>
#include <oak/cbacks.h>
#include <mondrian/widget.h>

#include "topLevel-ATM2.h"

#include "cashCard.h"
#include <rodin/evnthdlr.h>


#define THIS TopLevel
#define BASE Object




#include <mondrian/animatio.h>
#include <oak/oakstrm.h> 
#include <oak/clock.h>
#include <rodin/oakproc.h> 
#include <rodin/service.h>
long mLoopRet;

main(int,char**)
{
  setRealTime();
  TopLevel* topLevel = new TopLevel;
  ANIMATE_ON_WIDGET(topLevel,"topLevel-ATM2");
  ANIMATE_CHILD(firstATM,"ATM");
  ANIMATE_CHILD(client, "client-GUI2");
  ANIMATE_CHILD(consortium,"consortium");
  ANIMATE_CHILD_OF(consortium,bank,"bank"); 
 START_ANIMATION;  


  Integer* ok = topLevel->doIt();
  cout << "operazione ok? " << *ok << endl;
 
 END_ANIMATION;

 delete topLevel; 
  return 0;
} 

DEFINE_SIMPLE_CLASS(TopLevel,Object,1,NULL);


TopLevel::TopLevel()
: consortium("TheBankConsortium",1111)
, firstATM("FirstATM",&consortium)
, client("aClient",&firstATM)
{
  TRACE_FUNC("TopLevel::TopLevel");
  ATMCltn.add(firstATM);
}






Integer* TopLevel::doIt()
{
  TRACE_FUNC("TopLevel::doIt");
  return CASTP(Integer,client.waitService());
}




Object* TopLevel::editorTrace(String& s)
{
  if(s == "consortium")
  {
	s = consortium.printOnString();
	return (Object*)&consortium;
  }
  else
  if(s == "client")
  {
	s = client.printOnString();
	return (Object*)&client;
  }
  else
  if(s == "firstATM")
  {
	s = firstATM.printOnString();
	return (Object*)&firstATM;
  }
  else
  if(s == "ATMCltn")
  {
	s = ATMCltn.printOnString();
	return (Object*)&ATMCltn;
  }
  return nil;
}

/* End of File TOPLEVEL_ATM2 */
