/* File topLevel-ATM2.h  definition of class TopLevel */

/*		Copyright (c) 1990 SYCO			  */
/*		  All Rights Reserved			  */
/*							  */
/*  THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF SYCO   */
/*  The copyright notice above does not evidence any      */
/*  actual or intended publication of such source code.   */


#ifndef TOPLEVEL_ATM2_H
#define TOPLEVEL_ATM2_H

#include <oak/object.h>

#include "consortium.h"
#include "client-GUI2.h"
#include "ATM.h"
#include <oak/orderedc.h>

class CashCard;
class EventHandler;






extern Class class_TopLevel;

class TopLevel : public Object
{
	DEFINE_CLASS_METHOD(TopLevel);
	DEFINE_IDLE_STORE_METHOD(TopLevel,Object);
  protected:
	Consortium consortium;
	Client client;
	ATM firstATM;

	OrderedCltn ATMCltn;

  public:
	TopLevel();


	Integer* doIt();

	Object* editorTrace(String& member);

};

#endif /* TOPLEVEL_ATM2 */
