/* file copy.C an example of using copy with the G++ library */ 

#include <oak/orderedc.h>
#include <oak/integer.h>
#include <oak/oakstrn.h>
#include <oak/assoc.h>

void insertInCltn(Collection&, Integer*, String*); 
 
main(int,char**) 
{ 
  Integer* i2 = new Integer(7); 
  String* s2 = new String("key2"); 
  OrderedCltn cltn; 
 // ... 
  insertInCltn(cltn,i2,s2); 
 // .... 
  Assoc* bb = CASTP(Assoc,cltn.remove(Assoc(*s2,*nil))); 
  delete bb;
 
  String s1 = "key";
  Assoc ass(s1,*nil);
  Assoc* aa = CASTP(Assoc,cltn.remove(ass));
  aa->deepDelete(); 
  // ..... 
  delete i2; 
  delete s2;
  return 0;
} 
 
void insertInCltn(Collection& cltn, Integer* i2, String* s2) 
{ 
  Integer i = 5; 
  String s = "key"; 
  Assoc a(s,i); 
  Assoc b(*s2,*i2); 
  // ...... 
 
  cltn.add(*a.deepCopy()); 
  cltn.add(*b.copy()); 
  // ..... 
}
