/* dictionary.C example of use of the class Dictionary */
#include <oak/dictiona.h> 
#include <oak/point.h> 
#include <oak/oakstrn.h> 
#include <oak/assoc.h>
#include <oak/oakstrn.h>

main(int,char**) 
{ 
   Dictionary dict; 
 
    String s1("Key1"); 
    Point p1(13,4); 
    Assoc a1(s1,p1); 
    dict.add(a1); 
    dict.addAssoc(*new String("key2"),*new Point(10,4)); 
    cout << dict << endl; 
    LookupKey* lookup = dict.removeKey(s1); 
    cout << "LookupKey removed = " << *lookup << endl; 
    cout << dict << endl; 

    String s2 = "key2"; 
    lookup = dict.removeKey(s2); 
    cout << "LookupKey removed = " << *lookup << endl; 
    // the last LookupKey is dynamically allocated, 
    // at the end it  must be  deleted 
    Object* key = lookup->key(); 
    Object* value = lookup->value(); 
    delete lookup; 
    delete key; 
    delete value; 
 return 0; 
} 
