/* File factory-57.h  definition of ....*/
#ifndef FACTORY_57_H
#define FACTORY_57_H


#include <rodin/server.h>

#include <rodin/condcltn.h>
#include "./order-55.h"
#include <oak/orderedc.h>




extern Class class_Factory;

class Factory : public Server
{
	DEFINE_CLASS_METHOD(Factory);
	DEFINE_IDLE_STORE_METHOD(Factory,Server);


  private:
	CondCltn shop;

  protected:

	OrderedCltn orders;
	OrderedCltn assistanceCltn;

  private:
	Object* doService(Service* service);
	virtual Object* doProduction(Service* service);
	virtual Object* doAssistance(Service* service);

  public:
	Factory(const char* name ="Factory");


	void execProduction(Order* order);
	void execAssistance(Order* order);

	Object* editorTrace(String& member);

};

#endif /* FACTORY-57_H */

