/* File order-32.h  definition of ....*/
#ifndef ORDER_32_H
#define ORDER_32_H


#include <oak/object.h>

#include <oak/symbol.h>
#include <oak/oakstrn.h>



extern Symbol OrderReceived; 
extern Symbol OrderPlanned; 
extern Symbol OrderInProgress; 
extern Symbol OrderCompleted; 
extern Symbol OrderDelivered; 

extern Class class_Order;

class Order : public Object
{
	DEFINE_CLASS_METHOD(Order);
	DEFINE_IDLE_STORE_METHOD(Order,Object);


  private:
	String theName;
	Symbol theStatus;

  public:
	Order(const String& name =emptyString, const Symbol& status =OrderReceived);


	String name();
	Symbol status();
	void status(Symbol newStatus);

	Object* editorTrace(String& member);

};

#endif /* ORDER-32_H */

