/* File topLevel-43.C  implement ....*/
#define TOPLEVEL_43_C


#include <oak/oakstrn.h>
#include <oak/symbol.h>
#include <oak/cbacks.h>

#include "topLevel-43.h"


main(int,char**) 
{ 
   TopLevel* topLevel = new TopLevel; 
   topLevel->doIt(); 
   delete topLevel; 
   return 0; 
}
DEFINE_SIMPLE_CLASS(TopLevel,Object,1,NULL);
#define THIS TopLevel
#define BASE Object


TopLevel::TopLevel()
{
  TRACE_FUNC("TopLevel::TopLevel");
}







void TopLevel::doIt()
{
  TRACE_FUNC("TopLevel::doIt");
  orders.add(*new Order("Orderz",OrderPlanned)); 
  orders.add(*new Order()); // default "Order",OrderReceived 
  orders.add(*new Order("Order1")); // default OrderReceived 
  orders.add(*new Order("Order2",OrderPlanned)); 
  orders.add(*new Order("Order3",OrderInProgress)); 
  orders.add(*new Order("Order4",OrderPlanned)); 
 // orders.sort();
  cout << "The order Collection is " << orders << endl; 
 
  cout << "The Planned Orders are [" << endl; 
  DO(orders,Order,ordPt) 
        if(*ordPt == OrderPlanned) 
                cout << " " << ordPt->name() << endl; 
  OD 
  cout << "]" << endl;
 
  Order* ordPt = (Order*)orders.first(); 
  ordPt->status(OrderPlanned); 
 
  cout << "The Planned Orders are [" << endl; 
  DO(orders,Order,ordPt) 
        if(*ordPt == OrderPlanned) 
            cout << " " << ordPt->name() << endl; 
  OD 
  cout << "]" << endl; 
  orders.deleteAll(); 
          // remove and delete them, for dynamic objects only 

} 




Object* TopLevel::editorTrace(String& s)
{
  if(s == "orders")
  {
	s = orders.printOnString();
	return (Object*)&orders;
  }
  return nil;
}

/* End of File topLevel-43.C */

