/* File topLevel-46.C  implement ....*/
#define TOPLEVEL_46_C


#include <oak/oakstrn.h>
#include <oak/symbol.h>
#include <oak/cbacks.h>

#include "topLevel-46.h"


#include <oak/oakstrm.h> 

bool orderPlannedFunc(const Cback_struct& cb) 
 { 
   cout << "Callback raised by owner " << *cb.owner() << endl; 
   cout << "Callback name = " << cb.name() << endl; 
   cout << "User Data = " << *cb.userData() << endl; 
   cout << "Call Data = " << *cb.callData() << endl; 
   return YES; 
 } 

main(int,char**) 
{ 
   TopLevel* topLevel = new TopLevel; 
   topLevel->doIt(); 
   delete topLevel; 
   return 0; 
}
DEFINE_SIMPLE_CLASS(TopLevel,Object,1,NULL);
#define THIS TopLevel
#define BASE Object


TopLevel::TopLevel()
{
  TRACE_FUNC("TopLevel::TopLevel");
}






void TopLevel::insertError()
{
  TRACE_FUNC("TopLevel::insertError");
  Order automaticOrder("OrderA"); 
  orders.add(automaticOrder); 
  cout << "All orders are " << orders << endl; 
  // forgot to remove automaticOrder 

}



void TopLevel::doIt()
{
  TRACE_FUNC("TopLevel::doIt");
  orders.add(*new Order("Orderz",OrderPlanned)); 
  orders.add(*new Order()); // default "Order",OrderReceived 
  orders.add(*new Order("Order1")); // default OrderReceived 
  orders.add(*new Order("Order2",OrderPlanned)); 
  orders.add(*new Order("Order3",OrderInProgress)); 
  orders.add(*new Order("Order4",OrderPlanned)); 
 
  insertError(); 
  for(int i = 0; i < orders.size(); i++) 
{
     Order* ord = CASTP(Order,orders[i]); 
  // the BAD_OBJECT error is raised 
}
  DO(orders,Order,ordPt) 
    ordPt->addCback(OrderPlanned,orderPlannedFunc,this); 
  OD 
  // the event OrderPlanned of each order is monitored 
  // the function orderPlannedFunc() is executed in response 
  // the object itself is passed as userData 

  orders.sort();
  cout << "The order Collection is " << orders << endl; 
 
  Ostream out("orders.dat"); //open the file for writing 
  orders.storeOn(out); 
  out.close(); 
  cout << "The Planned Orders are [" << endl; 
  DO(orders,Order,ordPt) 
        if(*ordPt == OrderPlanned) 
                cout << " " << ordPt->name() << endl; 
  OD 
  cout << "]" << endl;
 
  Order* ordPt = (Order*)orders.first(); 
  ordPt->status(OrderPlanned); 
 
  cout << "The Planned Orders are [" << endl; 
  DO(orders,Order,ordPt) 
        if(*ordPt == OrderPlanned) 
            cout << " " << ordPt->name() << endl; 
  OD 
  cout << "]" << endl; 
  orders.deleteAll(); 
          // remove and delete them, for dynamic objects only 
  Istream in("orders.dat"); // open the file to read 
  OrderedCltn newOrders; 
  readFrom(in,"OrderedCltn",newOrders); 
  cout << "the new orders are " << newOrders << endl; 
 
 DO(orders,Order,ordPt) 
    ordPt->removeCback(OrderPlanned,orderPlannedFunc,this); 
  OD 
}



Object* TopLevel::editorTrace(String& s)
{
  if(s == "orders")
  {
	s = orders.printOnString();
	return (Object*)&orders;
  }
  return nil;
}

/* End of File topLevel-46.C */

