/* File topLevel-51.h  definition of ....*/
#ifndef TOPLEVEL_51_H
#define TOPLEVEL_51_H


#include <oak/object.h>

#include "./order-45.h"
#include <oak/vseqcltn.h>

class OrderedCltn;



extern Class class_TopLevel;

class TopLevel : public Object
{
	DEFINE_CLASS_METHOD(TopLevel);
	DEFINE_IDLE_STORE_METHOD(TopLevel,Object);

  protected:

	VSeqCltn orders;

	void insertError();

  public:
	TopLevel();


	void doIt();

	Object* editorTrace(String& member);

};

#endif /* TOPLEVEL-51_H */

