/* File topLevel-53.h  definition of class TopLevel */

/*		Copyright (c) 1990 SYCO			  */
/*		  All Rights Reserved			  */
/*							  */
/*  THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF SYCO   */
/*  The copyright notice above does not evidence any      */
/*  actual or intended publication of such source code.   */


#ifndef TOPLEVEL_53_H
#define TOPLEVEL_53_H

#include <oak/object.h>

#include "order-45.h"
#include <oak/vseqcltn.h>
#include <rodin/evnthdlr.h>

class OrderedCltn;






extern Class class_TopLevel;

class TopLevel : public Object
{
	DEFINE_CLASS_METHOD(TopLevel);
	DEFINE_IDLE_STORE_METHOD(TopLevel,Object);

  private:
	EventHandler ev;

  protected:

	VSeqCltn orders;

  protected:
	void insertError();

  public:
	TopLevel();


	void doIt();

	Object* editorTrace(String& member);

};

#endif /* TOPLEVEL_53 */
