/* File topLevel-72.h  definition of ....*/
#ifndef TOPLEVEL_72_H
#define TOPLEVEL_72_H


#include <oak/object.h>

#include "./factory-57.h"
#include <rodin/evnthdlr.h>

class Order;
class CppBox;
class CppCommand;
class OrderedCltn;



extern Class class_TopLevel;

class TopLevel : public Object
{
	DEFINE_CLASS_METHOD(TopLevel);
	DEFINE_IDLE_STORE_METHOD(TopLevel,Object);


  private:
	EventHandler ev;
	Factory factory;
	CppBox* box;
	CppCommand* startProd;
	CppCommand* startAss;
	CppCommand* endWork;

  public:
	TopLevel();


	void doIt();

	Object* editorTrace(String& member);

};

#endif /* TOPLEVEL-72_H */

